<template>
  <div>
    <div class="container mt-3">
      <div class="panel panel-primary">
        <div class="panel-heading row">
          <h2 class="col-2">Suppliers</h2>
          <div class="col-3">
            <router-link
              to="/suppliers/add"
              class="btn btn-warning pull-right my-1"
              >Add Supplier</router-link
            >
          </div>
        </div>
        <div class="panel-body">
          <table class="table">
            <thead>
              <tr>
                <th>ID</th>
                <th>Company ID</th>
                <th>Name</th>
                <th>CNPJ</th>
                <th>CPF</th>
                <th>RG</th>
                <th>Birthdate</th>
                <th>Actions</th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="supplier in suppliers" :key="supplier.id">
                <td>{{ supplier.id }}</td>
                <td>{{ supplier.company_id }}</td>
                <td>{{ supplier.name }}</td>
                <td>{{ supplier.CNPJ }}</td>
                <td>{{ supplier.CPF }}</td>
                <td>{{ supplier.RG }}</td>
                <td>{{ supplier.birthdate }}</td>
                <td>
                  <div class="btn-group" role="group">
                    <router-link
                      :to="{ name: 'updateSupplier', params: { id: supplier.id } }"
                      class="btn btn-primary mx-2 rounded"
                      >Edit</router-link
                    >
                    <button
                      class="btn btn-danger rounded"
                      @click="deleteSupplier(supplier.id)"
                    >
                      Delete
                    </button>
                  </div>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      suppliers: [],
      companies: [],
    };
  },
  created() {
    this.axios.get("http://localhost/api/suppliers").then((response) => {
      this.suppliers = response.data.data;
    });
  },
  methods: {
    deleteSupplier(id) {
      this.axios
        .delete(`http://localhost/api/suppliers/${id}`)
        .then((response) => {
          let i = this.suppliers.map((data) => data.id).indexOf(id);
          this.suppliers.splice(i, 1);
        });
    },
  },
};
</script>
